package com.jeeplus.test.workContract.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.workClientInfo.domain.WorkClientInfo;
import com.jeeplus.test.workContract.domain.WorkContractInfo;
import org.apache.ibatis.annotations.Param;

public interface WorkContractInfoMapper extends BaseMapper<WorkContractInfo> {

    IPage<WorkContractInfo> findPageList(Page<WorkContractInfo> page, @Param(Constants.WRAPPER)QueryWrapper queryWrapper);

    WorkContractInfo findById (@Param("id") String id);
}
